Get Many Scopes
Bad Request
Unauthorized
Forbidden
Internal server error
curl --request GET \ --url 'https://api.alexishr.com/v1/scope?select=SOME_ARRAY_VALUE&filters=SOME_OBJECT_VALUE&limit=SOME_INTEGER_VALUE&offset=SOME_INTEGER_VALUE&sort=SOME_OBJECT_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": [
- {
- "parentId": "507f1f77bcf86cd799439011",
- "parentType": "DocumentFolder",
- "excludeEmployeeScope": [ ],
- "employeeScope": [ ],
- "officeScope": [ ],
- "groupScope": [ ],
- "employmentTypeScope": [ ],
- "entireCompany": true,
- "teamScope": [ ],
- "organizationScope": [ ],
- "employeeIds": [
- "string"
], - "companyId": "507f1f77bcf86cd799439011",
- "id": "507f1f77bcf86cd799439011",
- "filters": "[]",
- "static": true
}
], - "total": 500,
- "count": 50,
- "offset": 50,
- "relations": { }
}Create One Scope
Bad Request
Unauthorized
Forbidden
Internal server error
{- "companyId": "5beadbdb01da0a0028a66e99",
- "parentId": "507f1f77bcf86cd799439011",
- "parentType": "DocumentFOlder",
- "namespace": {
- "entity": "DocumentFolder",
- "key": null
}, - "excludeEmployeeScope": "[]",
- "employeeScope": "[]",
- "officeScope": "[]",
- "groupScope": "[]",
- "organizationScope": "[]",
- "employmentTypeScope": "[]",
- "entireCompany": true,
- "teamScope": "[]",
- "filters": "[]",
- "static": true
}{- "status": "ok",
- "data": {
- "parentId": "507f1f77bcf86cd799439011",
- "parentType": "DocumentFolder",
- "excludeEmployeeScope": [ ],
- "employeeScope": [ ],
- "officeScope": [ ],
- "groupScope": [ ],
- "employmentTypeScope": [ ],
- "entireCompany": true,
- "teamScope": [ ],
- "organizationScope": [ ],
- "employeeIds": [
- "string"
], - "companyId": "507f1f77bcf86cd799439011",
- "id": "507f1f77bcf86cd799439011",
- "filters": "[]",
- "static": true
}
}Get One Scope
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
curl --request GET \ --url 'https://api.alexishr.com/v1/scope/507f1f77bcf86cd799439011?select=SOME_ARRAY_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": {
- "parentId": "507f1f77bcf86cd799439011",
- "parentType": "DocumentFolder",
- "excludeEmployeeScope": [ ],
- "employeeScope": [ ],
- "officeScope": [ ],
- "groupScope": [ ],
- "employmentTypeScope": [ ],
- "entireCompany": true,
- "teamScope": [ ],
- "organizationScope": [ ],
- "employeeIds": [
- "string"
], - "companyId": "507f1f77bcf86cd799439011",
- "id": "507f1f77bcf86cd799439011",
- "filters": "[]",
- "static": true
}, - "relations": { }
}Update One Scope
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
{- "excludeEmployeeScope": "[]",
- "employeeScope": "[]",
- "officeScope": "[]",
- "groupScope": "[]",
- "organizationScope": "[]",
- "employmentTypeScope": "[]",
- "entireCompany": true,
- "teamScope": "[]",
- "filters": "[]",
- "static": true
}{- "status": "ok",
- "data": {
- "parentId": "507f1f77bcf86cd799439011",
- "parentType": "DocumentFolder",
- "excludeEmployeeScope": [ ],
- "employeeScope": [ ],
- "officeScope": [ ],
- "groupScope": [ ],
- "employmentTypeScope": [ ],
- "entireCompany": true,
- "teamScope": [ ],
- "organizationScope": [ ],
- "employeeIds": [
- "string"
], - "companyId": "507f1f77bcf86cd799439011",
- "id": "507f1f77bcf86cd799439011",
- "filters": "[]",
- "static": true
}
}Replace One Scope
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
{- "excludeEmployeeScope": "[]",
- "employeeScope": "[]",
- "officeScope": "[]",
- "groupScope": "[]",
- "organizationScope": "[]",
- "employmentTypeScope": "[]",
- "entireCompany": true,
- "teamScope": "[]",
- "filters": "[]",
- "static": true
}{- "status": "ok",
- "data": {
- "parentId": "507f1f77bcf86cd799439011",
- "parentType": "DocumentFolder",
- "excludeEmployeeScope": [ ],
- "employeeScope": [ ],
- "officeScope": [ ],
- "groupScope": [ ],
- "employmentTypeScope": [ ],
- "entireCompany": true,
- "teamScope": [ ],
- "organizationScope": [ ],
- "employeeIds": [
- "string"
], - "companyId": "507f1f77bcf86cd799439011",
- "id": "507f1f77bcf86cd799439011",
- "filters": "[]",
- "static": true
}
}Delete One Scope
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
curl --request DELETE \ --url https://api.alexishr.com/v1/scope/507f1f77bcf86cd799439011 \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": { }
}